#!/usr/bin/env bash

# Get the list of connected Bluetooth devices
devices=$(bluetoothctl devices Connected | awk '{print $2}')
name[0]=""
battery[0]=0
i=0
# Iterate through each device and get its name and battery percentage
for device in $devices; do

    # Get the device info using bluetoothctl
    info=$(bluetoothctl info "$device")

    # Extract the name and battery percentage from the device info
    name[i]=$(echo "$info" | awk '/Name:/ {for(i=2; i<=NF; i++) printf "%s ", $i;}')
    battery[i]=$(echo "$info" | awk '/Battery Percentage:/ {print $4}' | tr -d '()')

    

    ((i=i+1))
done

echo '{"name":"'"${name[0]}"'","battery":"'"${battery[0]}"'"}'